//--------------------------------------------------------------------------------------
// Created by TunerPro. Hand editing is *not* recommended or supported.
//--------------------------------------------------------------------------------------


//--------------------------------------------------------------------------------------
//--------------------------------- HEADER ------------------------------------
//--------------------------------------------------------------------------------------

{
	fDefFrmtVers             =1.21;
	strDefVersion            =1.0;
	strDefTitle              =16176424 ALDL Datastream Definition;
	strAuthor                =Phil T;
	strEngine                =Holden VR Auto;
	strYear                  =1995;
	strVINCode               =8 & F;
	strCodeMask              =6E;
	strComments              =16176424 ECM - Date: 23/04/07;
	iBaud                    =8192;
	dwFlags                  =0x00000000;
	dwCSID                   =0x00025559;
	btNumDumpRequests        =7;

	strCommandName           =Mode 1 - ALDL Dump Request;
	rgbtCommand              =F4, 57, 01, 00;
	iTotalBytesInCommand     =5;
	bChecksumCommand         =1;
	iNumBytesInPayload       =55;
	iNumBytesBeforePayload   =4;
	bMaster                  =1;
	bMonitor                 =1;
	iChainTo                 =-1;

	strCommandName           =Mode 2 - LTFC Values;
	rgbtCommand              =F4, 58, 02, 00, 11;
	iTotalBytesInCommand     =6;
	bChecksumCommand         =1;
	iNumBytesInPayload       =63;
	iNumBytesBeforePayload   =4;
	bMaster                  =0;
	bMonitor                 =1;
	iChainTo                 =-1;

	strCommandName           =Mode 4 - 1st Gear: Hold;
	rgbtCommand              =F4, 58, 04, 81, 81;
	iTotalBytesInCommand     =6;
	bChecksumCommand         =1;
	iNumBytesInPayload       =0;
	iNumBytesBeforePayload   =-1;
	bMaster                  =0;
	bMonitor                 =0;
	iChainTo                 =-1;

	strCommandName           =Mode 4 - 2nd Gear: Hold;
	rgbtCommand              =F4, 58, 04, 81, 01;
	iTotalBytesInCommand     =6;
	bChecksumCommand         =1;
	iNumBytesInPayload       =0;
	iNumBytesBeforePayload   =-1;
	bMaster                  =0;
	bMonitor                 =0;
	iChainTo                 =-1;

	strCommandName           =Mode 4 - 3rd Gear: Hold;
	rgbtCommand              =F4, 58, 04, 81, 00;
	iTotalBytesInCommand     =6;
	bChecksumCommand         =1;
	iNumBytesInPayload       =0;
	iNumBytesBeforePayload   =-1;
	bMaster                  =0;
	bMonitor                 =0;
	iChainTo                 =-1;

	strCommandName           =Mode 4 - 4th Gear: Hold;
	rgbtCommand              =F4, 58, 04, 81, 80;
	iTotalBytesInCommand     =6;
	bChecksumCommand         =1;
	iNumBytesInPayload       =0;
	iNumBytesBeforePayload   =-1;
	bMaster                  =0;
	bMonitor                 =0;
	iChainTo                 =-1;

	strCommandName           =Mode 10 - DTC Reset;
	rgbtCommand              =F4, 57, 0A, 00;
	iTotalBytesInCommand     =5;
	bChecksumCommand         =1;
	iNumBytesInPayload       =0;
	iNumBytesBeforePayload   =-1;
	bMaster                  =0;
	bMonitor                 =0;
	iChainTo                 =-1;
}

//--------------------------------------------------------------------------------------
//---------------------------------- DASH -------------------------------------
//--------------------------------------------------------------------------------------

{
	dwItemType               =6;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =0;

	btNumGauges              =6;
	strIDsDisplayed          =0,0,0,0,0,0,;
	btNumMonitors            =4;
	strMonsDisplayed         =0,0,0,0,;
}

//--------------------------------------------------------------------------------------
//--------------------------------- VALUES ------------------------------------
//--------------------------------------------------------------------------------------

{
	dwItemType               =1;
	strItemComments          =Separator;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =1;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =16;
	dwOperation              =2;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =-=General/Important=-;
	strUnitLabel             =;
	dwAlarmHigh              =255;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =0;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =3;

	btByteNumber             =34;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =3;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =Vehicle Speed;
	strUnitLabel             =KPH;
	dwAlarmHigh              =110;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =None;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =4;

	btByteNumber             =2;
	btMessageNumber          =1;
	dwItemSizeBits           =16;
	dwOperation              =3;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =Engine RPM;
	strUnitLabel             =RPM;
	dwAlarmHigh              =5400;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =6000;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =None;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =5;

	btByteNumber             =5;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.019608;
	dOffset                  =0.000000;
	strItemTitle             =Coolant Temp Sensor Voltage;
	strUnitLabel             =Volts;
	dwAlarmHigh              =280;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =None;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =2;

	btByteNumber             =6;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.750000;
	dOffset                  =-40.000000;
	strItemTitle             =Coolant Temp;
	strUnitLabel             =Deg C;
	dwAlarmHigh              =200;
	bAlarmHighENable         =0;
	dwAlarmLow               =47;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =53;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =6;

	btByteNumber             =12;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.019608;
	dOffset                  =0.000000;
	strItemTitle             =Thtottle Position Sensor Voltage;
	strUnitLabel             =Volts;
	dwAlarmHigh              =280;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =7;

	btByteNumber             =14;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.390625;
	dOffset                  =0.000000;
	strItemTitle             =TPS Percentage;
	strUnitLabel             =%;
	dwAlarmHigh              =253;
	bAlarmHighENable         =1;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =35;

	btByteNumber             =7;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.019608;
	dOffset                  =0.000000;
	strItemTitle             =Intake Air Temp Sensor Voltage;
	strUnitLabel             =Volts;
	dwAlarmHigh              =280;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =36;

	btByteNumber             =8;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.750000;
	dOffset                  =-40.000000;
	strItemTitle             =Intake Air Temp;
	strUnitLabel             =Deg C;
	dwAlarmHigh              =214;
	bAlarmHighENable         =1;
	dwAlarmLow               =40;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =53;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =9;

	btByteNumber             =9;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.019608;
	dOffset                  =0.000000;
	strItemTitle             =MAP Sensor Voltage;
	strUnitLabel             =Volts;
	dwAlarmHigh              =280;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =8;

	btByteNumber             =10;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.312500;
	dOffset                  =20.000000;
	strItemTitle             =MAP Sensor Pressure;
	strUnitLabel             =KPA;
	dwAlarmHigh              =255;
	bAlarmHighENable         =1;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =37;

	btByteNumber             =11;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.312500;
	dOffset                  =20.000000;
	strItemTitle             =Barometric Pressure;
	strUnitLabel             =KPA;
	dwAlarmHigh              =255;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =38;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =New ALDL Value;
	strUnitLabel             =Units;
	dwAlarmHigh              =255;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =10;

	btByteNumber             =51;
	btMessageNumber          =1;
	dwItemSizeBits           =16;
	dwOperation              =3;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =Engine Run Time;
	strUnitLabel             =Seconds;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =65535;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =11;

	btByteNumber             =25;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.100000;
	dOffset                  =0.000000;
	strItemTitle             =Battery Voltage;
	strUnitLabel             =Volts;
	dwAlarmHigh              =150;
	bAlarmHighENable         =1;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =180;
	iRangeLow                =80;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =12;

	btByteNumber             =36;
	btMessageNumber          =1;
	dwItemSizeBits           =16;
	dwOperation              =2;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =PROM ID;
	strUnitLabel             =ID#;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =65535;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =13;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.000000;
	dOffset                  =0.000000;
	strItemTitle             =    ;
	strUnitLabel             =;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =0;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =14;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.000000;
	dOffset                  =0.000000;
	strItemTitle             =-=Idle Parameters=-;
	strUnitLabel             =;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =0;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =15;

	btByteNumber             =4;
	btMessageNumber          =1;
	dwItemSizeBits           =16;
	dwOperation              =3;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =Target Idle Speed;
	strUnitLabel             =RPM;
	dwAlarmHigh              =1200;
	bAlarmHighENable         =0;
	dwAlarmLow               =400;
	bAlarmLowEnable          =0;
	iRangeHigh               =1200;
	iRangeLow                =400;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =16;

	btByteNumber             =31;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =3;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =IAC Motor Position;
	strUnitLabel             =Steps;
	dwAlarmHigh              =255;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =17;

	btByteNumber             =30;
	btMessageNumber          =1;
	dwItemSizeBits           =16;
	dwOperation              =0;
	dFactor                  =0.050000;
	dOffset                  =0.000000;
	strItemTitle             =Idle RPM Variation;
	strUnitLabel             =Units;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =2000;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =Blank Sep.;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =18;

	btByteNumber             =0;
	btMessageNumber          =0;
	dwItemSizeBits           =0;
	dwOperation              =0;
	dFactor                  =0.000000;
	dOffset                  =0.000000;
	strItemTitle             =                ;
	strUnitLabel             =;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =0;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =19;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.000000;
	dOffset                  =0.000000;
	strItemTitle             =-=Fuel Parameters=-;
	strUnitLabel             =;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =0;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =20;

	btByteNumber             =15;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =4.424000;
	dOffset                  =0.000000;
	strItemTitle             =Oxygen Sensor Voltage;
	strUnitLabel             =mV;
	dwAlarmHigh              =192;
	bAlarmHighENable         =1;
	dwAlarmLow               =34;
	bAlarmLowEnable          =1;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =21;

	btByteNumber             =16;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =3;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =Oxygen Sensor Cross Counts;
	strUnitLabel             =Per 2 sec;
	dwAlarmHigh              =255;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =22;

	btByteNumber             =18;
	btMessageNumber          =1;
	dwItemSizeBits           =16;
	dwOperation              =0;
	dFactor                  =0.007629;
	dOffset                  =0.000000;
	strItemTitle             =Injector Pulse Width;
	strUnitLabel             =mS;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =65535;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =23;

	btByteNumber             =22;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =3;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =LTFC Cell Number;
	strUnitLabel             =Cell;
	dwAlarmHigh              =25;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =25;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =24;

	btByteNumber             =21;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =3;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =BLM (Long-Term Trim);
	strUnitLabel             =Correction %;
	dwAlarmHigh              =142;
	bAlarmHighENable         =1;
	dwAlarmLow               =114;
	bAlarmLowEnable          =1;
	iRangeHigh               =102;
	iRangeLow                =154;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =25;

	btByteNumber             =20;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =3;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =INT (Short-term Trim);
	strUnitLabel             =Correction %;
	dwAlarmHigh              =142;
	bAlarmHighENable         =1;
	dwAlarmLow               =114;
	bAlarmLowEnable          =1;
	iRangeHigh               =102;
	iRangeLow                =154;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =26;

	btByteNumber             =23;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.100000;
	dOffset                  =0.000000;
	strItemTitle             =Air Fuel Ratio;
	strUnitLabel             =xx: 1;
	dwAlarmHigh              =175;
	bAlarmHighENable         =0;
	dwAlarmLow               =125;
	bAlarmLowEnable          =0;
	iRangeHigh               =200;
	iRangeLow                =100;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =Blank Sep.;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =27;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =0;
	dwOperation              =0;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =        ;
	strUnitLabel             =;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =0;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =Separator;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =28;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.000000;
	dOffset                  =0.000000;
	strItemTitle             =-=Spark Parameters=-;
	strUnitLabel             =;
	dwAlarmHigh              =0;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =0;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =29;

	btByteNumber             =33;
	btMessageNumber          =1;
	dwItemSizeBits           =16;
	dwOperation              =0;
	dFactor                  =0.351565;
	dOffset                  =0.000000;
	strItemTitle             =Spark Advance;
	strUnitLabel             =Deg BTDC;
	dwAlarmHigh              =100;
	bAlarmHighENable         =1;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =114;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =30;

	btByteNumber             =39;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.351565;
	dOffset                  =0.000000;
	strItemTitle             =Knock Retard;
	strUnitLabel             =Deg;
	dwAlarmHigh              =1;
	bAlarmHighENable         =1;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =29;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =31;

	btByteNumber             =37;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.100000;
	dOffset                  =0.000000;
	strItemTitle             =Engine Crank Time;
	strUnitLabel             =Seconds;
	dwAlarmHigh              =110;
	bAlarmHighENable         =1;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =100;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =56;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =;
	strUnitLabel             =Units;
	dwAlarmHigh              =255;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =88;

	btByteNumber             =0;
	btMessageNumber          =1;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =1.000000;
	dOffset                  =0.000000;
	strItemTitle             =-=LTFC Values=-;
	strUnitLabel             =Units;
	dwAlarmHigh              =255;
	bAlarmHighENable         =0;
	dwAlarmLow               =0;
	bAlarmLowEnable          =0;
	iRangeHigh               =255;
	iRangeLow                =0;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =89;

	btByteNumber             =1;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 00 - 1200/30;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =90;

	btByteNumber             =2;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 01 - 1200/40;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =91;

	btByteNumber             =3;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 02 - 1200/50;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =92;

	btByteNumber             =4;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 03 - 1200/60;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =93;

	btByteNumber             =5;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 04 - 1200/70;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =94;

	btByteNumber             =6;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 05 - 1600/30;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =95;

	btByteNumber             =7;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 06 - 1600/40;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =96;

	btByteNumber             =8;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 07 - 1600/50;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =97;

	btByteNumber             =9;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 08 - 1600/60;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =98;

	btByteNumber             =10;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 09 - 1600/70;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =99;

	btByteNumber             =11;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 10 - 2400/30;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =100;

	btByteNumber             =12;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 11 - 2400/40;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =101;

	btByteNumber             =13;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 12 - 2400/50;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =102;

	btByteNumber             =14;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 13 - 2400/60;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =103;

	btByteNumber             =15;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 14 - 2400/70;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =104;

	btByteNumber             =16;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 15 - 3200/30;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =105;

	btByteNumber             =17;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 16 - 3200/40;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =106;

	btByteNumber             =18;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 17 - 3200/50;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =107;

	btByteNumber             =19;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 18 - 3200/60;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =108;

	btByteNumber             =20;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 19 - 3200/70;
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =109;

	btByteNumber             =21;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 20 - Idle 'A/C Off';
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

{
	dwItemType               =1;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =110;

	btByteNumber             =22;
	btMessageNumber          =2;
	dwItemSizeBits           =8;
	dwOperation              =0;
	dFactor                  =0.781500;
	dOffset                  =-100.000000;
	strItemTitle             =Cell 21 - Idle 'A/C On';
	strUnitLabel             =%;
	dwAlarmHigh              =154;
	bAlarmHighENable         =1;
	dwAlarmLow               =102;
	bAlarmLowEnable          =1;
	iRangeHigh               =154;
	iRangeLow                =102;
	iLookupTableIndex        =-1;
}

//--------------------------------------------------------------------------------------
//---------------------------------- BITS -------------------------------------
//--------------------------------------------------------------------------------------

{
	dwItemType               =2;
	strItemComments          =None;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =40;

	btByteNumber             =60;
	btMessageNumber          =1;
	btBitNumber              =5;
	strItemTitle             =-=Fuelling Flags=-;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =32;

	btByteNumber             =13;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =02 Status (13/0);
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =Ready;
	strBitClearTitle         =Not Ready;
}

{
	dwItemType               =2;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =0;

	btByteNumber             =13;
	btMessageNumber          =1;
	btBitNumber              =1;
	strItemTitle             =Loop Status (13/1);
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =Closed Loop;
	strBitClearTitle         =Open Loop;
}

{
	dwItemType               =2;
	strItemComments          =None;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =41;

	btByteNumber             =13;
	btMessageNumber          =1;
	btBitNumber              =2;
	strItemTitle             =Learn Control (13/2);
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =Enabled;
	strBitClearTitle         =Disabled;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =39;

	btByteNumber             =13;
	btMessageNumber          =1;
	btBitNumber              =6;
	strItemTitle             =Injectors Status (13/6);
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =1;
	strBitSetTitle           =Active;
	strBitClearTitle         =Off;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =49;

	btByteNumber             =27;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =Deceleration Fuel Cut;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =On;
	strBitClearTitle         =Off;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =55;

	btByteNumber             =28;
	btMessageNumber          =1;
	btBitNumber              =2;
	strItemTitle             =Idle Mode;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =Closed Loop;
	strBitClearTitle         =Open Loop;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =43;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =42;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =-=Oxygen Sensor=-;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =33;

	btByteNumber             =24;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =02 Rich/Lean - Raw;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =Rich;
	strBitClearTitle         =Lean;
}

{
	dwItemType               =2;
	strItemComments          =;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =34;

	btByteNumber             =24;
	btMessageNumber          =1;
	btBitNumber              =1;
	strItemTitle             =02 Rich/Lean - Filtered;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =Rich;
	strBitClearTitle         =Lean;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =45;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =46;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =-=Air Conditioner=-;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =47;

	btByteNumber             =27;
	btMessageNumber          =1;
	btBitNumber              =4;
	strItemTitle             =A/C Request;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =Yes;
	strBitClearTitle         =No;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =48;

	btByteNumber             =27;
	btMessageNumber          =1;
	btBitNumber              =5;
	strItemTitle             =A/C Clutch;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =Engaged;
	strBitClearTitle         =Disengaged;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =50;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =51;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =-=Ignition=-;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =52;

	btByteNumber             =27;
	btMessageNumber          =1;
	btBitNumber              =1;
	strItemTitle             =Ignition Module;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =EST Mode;
	strBitClearTitle         =Bypass;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =44;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =53;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =-=Engine=-;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =54;

	btByteNumber             =28;
	btMessageNumber          =1;
	btBitNumber              =1;
	strItemTitle             =Engine Configuration;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =V6;
	strBitClearTitle         =V8;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =1;
	bVisible                 =1;
	dwUniqueID               =57;

	btByteNumber             =0;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =58;

	btByteNumber             =40;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =-=Malfunction Flags=-;
	bAlarmSetEnable          =0;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =1;
	strBitClearTitle         =0;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =59;

	btByteNumber             =40;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =21 - TPS Voltage High;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-21;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =60;

	btByteNumber             =40;
	btMessageNumber          =1;
	btBitNumber              =1;
	strItemTitle             =19 - TPS Stuck;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-19;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =61;

	btByteNumber             =40;
	btMessageNumber          =1;
	btBitNumber              =3;
	strItemTitle             =17 - ECM ECT circuit;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-17;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =62;

	btByteNumber             =40;
	btMessageNumber          =1;
	btBitNumber              =4;
	strItemTitle             =16 - ECT Unstable;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DCT-16;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =63;

	btByteNumber             =40;
	btMessageNumber          =1;
	btBitNumber              =5;
	strItemTitle             =15 - ECT Voltage High;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DCT-15;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =64;

	btByteNumber             =40;
	btMessageNumber          =1;
	btBitNumber              =6;
	strItemTitle             =14 - ECT Voltage Low;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-14;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =65;

	btByteNumber             =40;
	btMessageNumber          =1;
	btBitNumber              =7;
	strItemTitle             =13 - No Oxygen Sensor Signal;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-13;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =66;

	btByteNumber             =41;
	btMessageNumber          =1;
	btBitNumber              =3;
	strItemTitle             =26 - IAT Signal Unstable;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-26;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =67;

	btByteNumber             =41;
	btMessageNumber          =1;
	btBitNumber              =4;
	strItemTitle             =25 - IAT Signal Low;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-25;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =68;

	btByteNumber             =41;
	btMessageNumber          =1;
	btBitNumber              =5;
	strItemTitle             =24 - No Vehicle Speed Sensor;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC - 24;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =69;

	btByteNumber             =41;
	btMessageNumber          =1;
	btBitNumber              =6;
	strItemTitle             =23 - IAT Signal High;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-23;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =70;

	btByteNumber             =41;
	btMessageNumber          =1;
	btBitNumber              =7;
	strItemTitle             =22 - TPS Voltage Low;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-22;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =71;

	btByteNumber             =42;
	btMessageNumber          =1;
	btBitNumber              =2;
	strItemTitle             =36 - Vacuum Leak;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-36;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =72;

	btByteNumber             =42;
	btMessageNumber          =1;
	btBitNumber              =3;
	strItemTitle             =35 - Idle Speed Error;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-35;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =73;

	btByteNumber             =42;
	btMessageNumber          =1;
	btBitNumber              =4;
	strItemTitle             =34 - MAP Signal Low;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-34;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =74;

	btByteNumber             =42;
	btMessageNumber          =1;
	btBitNumber              =5;
	strItemTitle             =33 - MAP Signal High;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-33;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =75;

	btByteNumber             =42;
	btMessageNumber          =1;
	btBitNumber              =7;
	strItemTitle             =31 - Anti-Theft Signal Not Received;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-31;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =76;

	btByteNumber             =43;
	btMessageNumber          =1;
	btBitNumber              =1;
	strItemTitle             =46 - No REF Pulses;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-46;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =77;

	btByteNumber             =43;
	btMessageNumber          =1;
	btBitNumber              =2;
	strItemTitle             =45 - Rich Exhaust;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-45;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =78;

	btByteNumber             =43;
	btMessageNumber          =1;
	btBitNumber              =3;
	strItemTitle             =44 - Lean Exhaust;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-44;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =79;

	btByteNumber             =43;
	btMessageNumber          =1;
	btBitNumber              =4;
	strItemTitle             =43 - Knock Sensor Circuit;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-43;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =80;

	btByteNumber             =43;
	btMessageNumber          =1;
	btBitNumber              =5;
	strItemTitle             =42 - IGN Bypass Circuit;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-42;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =81;

	btByteNumber             =43;
	btMessageNumber          =1;
	btBitNumber              =6;
	strItemTitle             =41 - IGN EST Circuit;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-41;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =82;

	btByteNumber             =44;
	btMessageNumber          =1;
	btBitNumber              =0;
	strItemTitle             =56 - Lean Under Load;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-56;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =84;

	btByteNumber             =44;
	btMessageNumber          =1;
	btBitNumber              =1;
	strItemTitle             =55 - ECM A/D Conversion Error;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-55;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =83;

	btByteNumber             =44;
	btMessageNumber          =1;
	btBitNumber              =2;
	strItemTitle             =54 - Batt Voltage Unstable;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-54;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =85;

	btByteNumber             =44;
	btMessageNumber          =1;
	btBitNumber              =3;
	strItemTitle             =53 - Batt Voltage too High;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC - 53;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =86;

	btByteNumber             =44;
	btMessageNumber          =1;
	btBitNumber              =4;
	strItemTitle             =52 - Batt Voltage 2High 4 2Long;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-52;
	strBitClearTitle         =False;
}

{
	dwItemType               =2;
	strItemComments          =<Comments>;
	bSeparator               =0;
	bVisible                 =1;
	dwUniqueID               =87;

	btByteNumber             =44;
	btMessageNumber          =1;
	btBitNumber              =5;
	strItemTitle             =51 - Memcal Error;
	bAlarmSetEnable          =1;
	bAlarmNotSetEnable       =0;
	strBitSetTitle           =DTC-51;
	strBitClearTitle         =False;
}

//--------------------------------------------------------------------------------------
//---------------------------- LOOKUP TABLES ----------------------------------
//--------------------------------------------------------------------------------------

